Index: CKEditor/releases/latest/_source/lang/uk.js
===================================================================
--- CKEditor/releases/latest/_source/lang/uk.js	(revision 4887)
+++ CKEditor/releases/latest/_source/lang/uk.js	(revision 5194)
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Візуальний текстовий редактор, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Форма',
 		checkbox		: 'Флагова кнопка',
-		radio		: 'Кнопка вибору',
+		radio			: 'Кнопка вибору',
 		textField		: 'Текстове поле',
 		textarea		: 'Текстова область',
 		hiddenField		: 'Приховане поле',
 		button			: 'Кнопка',
-		select	: 'Список',
+		select			: 'Список',
 		imageButton		: 'Кнопка із зображенням',
 		notSet			: '<не визначено>',
@@ -89,9 +93,17 @@
 		ok				: 'ОК',
 		cancel			: 'Скасувати',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Загальна',
 		advancedTab		: 'Розширений',
-		validateNumberFailed	: 'Значення не є числом.',
+		validateNumberFailed : 'Значення не є числом.',
 		confirmNewPage	: 'Всі не збережені зміни будуть втрачені. Ви впевнені, що хочете завантажити нову сторінку?',
 		confirmCancel	: 'Деякі опції були змінені. Закрити вікно?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Розширений',
 		type		: 'Тип посилання',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Якір на цю сторінку',
 		toEmail		: 'Эл. пошта',
-		target		: 'Ціль',
-		targetNotSet	: '<не визначено>',
-		targetFrame	: '<фрейм>',
-		targetPopup	: '<спливаюче вікно>',
-		targetNew	: 'Нове вікно (_blank)',
-		targetTop	: 'Найвище вікно (_top)',
-		targetSelf	: 'Теж вікно (_self)',
-		targetParent	: 'Батьківське вікно (_parent)',
+		targetFrame		: '<фрейм>',
+		targetPopup		: '<спливаюче вікно>',
 		targetFrameName	: 'Ім\'я целевого фрейма',
 		targetPopupName	: 'Ім\'я спливаючого вікна',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Масштабоване',
 		popupStatusBar	: 'Строка статусу',
-		popupLocationBar	: 'Панель локації',
+		popupLocationBar: 'Панель локації',
 		popupToolbar	: 'Панель інструментів',
 		popupMenuBar	: 'Панель меню',
@@ -144,5 +151,4 @@
 		id				: 'Ідентифікатор (Id)',
 		langDir			: 'Напрямок мови',
-		langDirNotSet	: '<не визначено>',
 		langDirLTR		: 'Зліва на право (LTR)',
 		langDirRTL		: 'Зправа на ліво (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Розмір бордюра',
 		align		: 'Вирівнювання',
-		alignNotSet	: '<Не вст.>',
 		alignLeft	: 'Зліва',
 		alignCenter	: 'По центру',
@@ -211,4 +216,5 @@
 		widthPx		: 'пікселів',
 		widthPc		: 'відсотків',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Висота',
 		cellSpace	: 'Проміжок (spacing)',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Кількість обєднуваних рядків повинна бути цілим числом.',
 			invalidColSpan	: 'Кількість обєднуваних стовпчиків повинна бути цілим числом.',
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Дія',
 		method		: 'Метод',
-		encoding	: 'Кодування',
-		target		: 'Ціль',
-		targetNotSet	: '<не визначено>',
-		targetNew	: 'Нове вікно (_blank)',
-		targetTop	: 'Найвище вікно (_top)',
-		targetSelf	: 'Теж вікно (_self)',
-		targetParent	: 'Батьківське вікно (_parent)'
+		encoding	: 'Кодування'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Властивості кнопки із зображенням',
 		menu		: 'Властивості зображення',
-		infoTab	: 'Інформація про изображении',
+		infoTab		: 'Інформація про изображении',
 		btnUpload	: 'Надіслати на сервер',
-		url		: 'URL',
-		upload	: 'Закачати',
-		alt		: 'Альтернативний текст',
+		upload		: 'Закачати',
+		alt			: 'Альтернативний текст',
 		width		: 'Ширина',
-		height	: 'Висота',
+		height		: 'Висота',
 		lockRatio	: 'Зберегти пропорції',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Скинути розмір',
-		border	: 'Бордюр',
-		hSpace	: 'Горизонтальний відступ',
-		vSpace	: 'Вертикальний відступ',
+		border		: 'Бордюр',
+		hSpace		: 'Горизонтальний відступ',
+		vSpace		: 'Вертикальний відступ',
 		align		: 'Вирівнювання',
 		alignLeft	: 'По лівому краю',
 		alignRight	: 'По правому краю',
-		preview	: 'Попередній перегляд',
 		alertUrl	: 'Будь ласка, введіть URL зображення',
-		linkTab	: 'Посилання',
+		linkTab		: 'Посилання',
 		button2Img	: 'Ви хочете перетворити обрану кнопку-зображення на просте зображення?',
 		img2Button	: 'Ви хочете перетворити обране зображення на кнопку-зображення?',
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Властивості Flash',
 		propertiesTab	: 'Властивості',
-		title		: 'Властивості Flash',
-		chkPlay		: 'Авто програвання',
-		chkLoop		: 'Зациклити',
-		chkMenu		: 'Дозволити меню Flash',
-		chkFull		: 'Дозволити повноекранний перегляд',
- 		scale		: 'Масштаб',
+		title			: 'Властивості Flash',
+		chkPlay			: 'Авто програвання',
+		chkLoop			: 'Зациклити',
+		chkMenu			: 'Дозволити меню Flash',
+		chkFull			: 'Дозволити повноекранний перегляд',
+ 		scale			: 'Масштаб',
 		scaleAll		: 'Показати всі',
 		scaleNoBorder	: 'Без рамки',
@@ -411,38 +415,38 @@
 		access			: 'Доступ до скрипта',
 		accessAlways	: 'Завжди',
-		accessSameDomain	: 'З того ж домена',
-		accessNever	: 'Ніколи',
-		align		: 'Вирівнювання',
-		alignLeft	: 'По лівому краю',
-		alignAbsBottom: 'Абс по низу',
-		alignAbsMiddle: 'Абс по середині',
+		accessSameDomain: 'З того ж домена',
+		accessNever		: 'Ніколи',
+		align			: 'Вирівнювання',
+		alignLeft		: 'По лівому краю',
+		alignAbsBottom	: 'Абс по низу',
+		alignAbsMiddle	: 'Абс по середині',
 		alignBaseline	: 'По базовій лінії',
-		alignBottom	: 'По низу',
-		alignMiddle	: 'По середині',
-		alignRight	: 'По правому краю',
+		alignBottom		: 'По низу',
+		alignMiddle		: 'По середині',
+		alignRight		: 'По правому краю',
 		alignTextTop	: 'Текст на верху',
-		alignTop	: 'По верху',
-		quality		: 'Якість',
-		qualityBest		 : 'Відмінна',
-		qualityHigh		 : 'Висока',
-		qualityAutoHigh	 : 'Авто відмінна',
-		qualityMedium	 : 'Середня',
-		qualityAutoLow	 : 'Авто низька',
-		qualityLow		 : 'Низька',
-		windowModeWindow	 : 'Вікно',
-		windowModeOpaque	 : 'Непрозорість (Opaque)',
-		windowModeTransparent	 : 'Прозорість (Transparent)',
-		windowMode	: 'Режим вікна',
-		flashvars	: 'Змінні Flash',
-		bgcolor	: 'Колір фону',
-		width	: 'Ширина',
-		height	: 'Висота',
-		hSpace	: 'Горизонтальний відступ',
-		vSpace	: 'Вертикальний відступ',
-		validateSrc : 'Будь ласка, занесіть URL посилання',
-		validateWidth : 'Ширина повинна бути числом.',
-		validateHeight : 'Висота повинна бути числом.',
-		validateHSpace : 'HSpace повинна бути числом.',
-		validateVSpace : 'VSpace повинна бути числом.'
+		alignTop		: 'По верху',
+		quality			: 'Якість',
+		qualityBest		: 'Відмінна',
+		qualityHigh		: 'Висока',
+		qualityAutoHigh	: 'Авто відмінна',
+		qualityMedium	: 'Середня',
+		qualityAutoLow	: 'Авто низька',
+		qualityLow		: 'Низька',
+		windowModeWindow: 'Вікно',
+		windowModeOpaque: 'Непрозорість (Opaque)',
+		windowModeTransparent : 'Прозорість (Transparent)',
+		windowMode		: 'Режим вікна',
+		flashvars		: 'Змінні Flash',
+		bgcolor			: 'Колір фону',
+		width			: 'Ширина',
+		height			: 'Висота',
+		hSpace			: 'Горизонтальний відступ',
+		vSpace			: 'Вертикальний відступ',
+		validateSrc		: 'Будь ласка, занесіть URL посилання',
+		validateWidth	: 'Ширина повинна бути числом.',
+		validateHeight	: 'Висота повинна бути числом.',
+		validateHSpace	: 'HSpace повинна бути числом.',
+		validateVSpace	: 'VSpace повинна бути числом.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path', // MISSING
 		eleTitle : '%1 елемент'
 	},
 
-	numberedlist : 'Нумерований список',
-	bulletedlist : 'Маркований список',
-	indent : 'Збільшити відступ',
-	outdent : 'Зменшити відступ',
+	numberedlist	: 'Нумерований список',
+	bulletedlist	: 'Маркований список',
+	indent			: 'Збільшити відступ',
+	outdent			: 'Зменшити відступ',
 
 	justify :
 	{
-		left : 'По лівому краю',
-		center : 'По центру',
-		right : 'По правому краю',
-		block : 'По ширині'
+		left	: 'По лівому краю',
+		center	: 'По центру',
+		right	: 'По правому краю',
+		block	: 'По ширині'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Настройки безпеки вашого браузера не дозволяють редактору автоматично виконувати операції копіювання. Будь ласка, використовуйте клавіатуру для цього (Ctrl+C).',
 		pasteMsg	: 'Будь ласка, вставте з буфера обміну в цю область, користуючись комбінацією клавіш (<STRONG>Ctrl+V</STRONG>) та натисніть <STRONG>OK</STRONG>.',
-		securityMsg	: 'Редактор не може отримати прямий доступ до буферу обміну у зв\'язку з налаштуваннями вашого браузера. Вам потрібно вставити інформацію повторно в це вікно.'
+		securityMsg	: 'Редактор не може отримати прямий доступ до буферу обміну у зв\'язку з налаштуваннями вашого браузера. Вам потрібно вставити інформацію повторно в це вікно.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'Текст, що ви хочете вставити, схожий на копійований з Word. Ви хочете очистити його перед вставкою?',
-		toolbar : 'Вставити з Word',
-		title : 'Вставити з Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'Текст, що ви хочете вставити, схожий на копійований з Word. Ви хочете очистити його перед вставкою?',
+		toolbar			: 'Вставити з Word',
+		title			: 'Вставити з Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'Вставити тільки текст',
-		title : 'Вставити тільки текст'
+		button	: 'Вставити тільки текст',
+		title	: 'Вставити тільки текст'
 	},
 
 	templates :
 	{
-		button : 'Шаблони',
-		title : 'Шаблони змісту',
-		insertOption: 'Замінити поточний вміст',
-		selectPromptMsg: 'Оберіть, будь ласка, шаблон для відкриття в редакторі<br>(поточний зміст буде втрачено):',
-		emptyListMsg : '(Не визначено жодного шаблону)'
+		button			: 'Шаблони',
+		title			: 'Шаблони змісту',
+		insertOption	: 'Замінити поточний вміст',
+		selectPromptMsg	: 'Оберіть, будь ласка, шаблон для відкриття в редакторі<br>(поточний зміст буде втрачено):',
+		emptyListMsg	: '(Не визначено жодного шаблону)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Стиль',
-		voiceLabel : 'Стилі',
-		panelVoiceLabel : 'Оберіть стиль',
-		panelTitle1 : 'Block стилі',
-		panelTitle2 : 'Inline стилі',
-		panelTitle3 : 'Object стилі'
+		label		: 'Стиль',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block стилі',
+		panelTitle2	: 'Inline стилі',
+		panelTitle3	: 'Object стилі'
 	},
 
 	format :
 	{
-		label : 'Форматування',
-		voiceLabel : 'Формат',
-		panelTitle : 'Форматування',
-		panelVoiceLabel : 'Оберіть формат абзацу',
-
-		tag_p : 'Нормальний',
-		tag_pre : 'Форматований',
-		tag_address : 'Адреса',
-		tag_h1 : 'Заголовок 1',
-		tag_h2 : 'Заголовок 2',
-		tag_h3 : 'Заголовок 3',
-		tag_h4 : 'Заголовок 4',
-		tag_h5 : 'Заголовок 5',
-		tag_h6 : 'Заголовок 6',
-		tag_div : 'Нормальний (DIV)'
+		label		: 'Форматування',
+		panelTitle	: 'Форматування',
+
+		tag_p		: 'Нормальний',
+		tag_pre		: 'Форматований',
+		tag_address	: 'Адреса',
+		tag_h1		: 'Заголовок 1',
+		tag_h2		: 'Заголовок 2',
+		tag_h3		: 'Заголовок 3',
+		tag_h4		: 'Заголовок 4',
+		tag_h5		: 'Заголовок 5',
+		tag_h6		: 'Заголовок 6',
+		tag_div		: 'Нормальний (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Шрифт',
-		voiceLabel : 'Шрифт',
-		panelTitle : 'Шрифт',
-		panelVoiceLabel : 'Оберіть шрифт'
+		label		: 'Шрифт',
+		voiceLabel	: 'Шрифт',
+		panelTitle	: 'Шрифт'
 	},
 
 	fontSize :
 	{
-		label : 'Розмір',
-		voiceLabel : 'Розмір шрифта',
-		panelTitle : 'Розмір',
-		panelVoiceLabel : 'Оберіть розмір шрифта'
+		label		: 'Розмір',
+		voiceLabel	: 'Розмір шрифта',
+		panelTitle	: 'Розмір'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Колір тексту',
-		bgColorTitle : 'Колір фону',
-		auto : 'Автоматичний',
-		more : 'Кольори...'
+		textColorTitle	: 'Колір тексту',
+		bgColorTitle	: 'Колір фону',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Автоматичний',
+		more			: 'Кольори...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Перефірка орфографії по мірі набору',
-		enable : 'Включити SCAYT',
-		disable : 'Відключити SCAYT',
-		about : 'Про SCAYT',
-		toggle : 'Перемкнути SCAYT',
-		options : 'Опції',
-		langs : 'Мови',
-		moreSuggestions : 'Більше пропозицій',
-		ignore : 'Ігнорувати',
-		ignoreAll : 'Ігнорувати всі',
-		addWord : 'Додати слово',
-		emptyDic : 'Назва словника повинна бути заповнена.',
-		optionsTab : 'Опції',
-		languagesTab : 'Мови',
-		dictionariesTab : 'Словники',
-		aboutTab : 'Про'
+		title			: 'Перефірка орфографії по мірі набору',
+		enable			: 'Включити SCAYT',
+		disable			: 'Відключити SCAYT',
+		about			: 'Про SCAYT',
+		toggle			: 'Перемкнути SCAYT',
+		options			: 'Опції',
+		langs			: 'Мови',
+		moreSuggestions	: 'Більше пропозицій',
+		ignore			: 'Ігнорувати',
+		ignoreAll		: 'Ігнорувати всі',
+		addWord			: 'Додати слово',
+		emptyDic		: 'Назва словника повинна бути заповнена.',
+		optionsTab		: 'Опції',
+		languagesTab	: 'Мови',
+		dictionariesTab	: 'Словники',
+		aboutTab		: 'Про'
 	},
 
 	about :
 	{
-		title : 'Про CKEditor',
-		dlgTitle : 'Про CKEditor',
-		moreInfo : 'Щодо інформації з ліцензування завітайте до нашого сайту:',
-		copy : 'Copyright &copy; $1. Всі права застережено.'
+		title		: 'Про CKEditor',
+		dlgTitle	: 'Про CKEditor',
+		moreInfo	: 'Щодо інформації з ліцензування завітайте до нашого сайту:',
+		copy		: 'Copyright &copy; $1. Всі права застережено.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Якір',
-		flash : 'Flash анімація',
-		div : 'Розрив сторінки',
-		unknown : 'Невідомий об`єкт'
+		anchor	: 'Якір',
+		flash	: 'Flash анімація',
+		div		: 'Розрив сторінки',
+		unknown	: 'Невідомий об`єкт'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
